Set AI enrichment config
curl --request PUT \
--url https://api.example.com/connectors/{connector_type}/ai-config \
--header 'Content-Type: application/json' \
--data '
{
"ai_enrichment_enabled": false,
"ai_repo_sha": "<string>",
"ai_repo_url": "<string>",
"ai_repo_branch": "<string>",
"ai_transforms": [
"<string>"
],
"ai_run_mode": "<string>"
}
'import requests
url = "https://api.example.com/connectors/{connector_type}/ai-config"
payload = {
"ai_enrichment_enabled": False,
"ai_repo_sha": "<string>",
"ai_repo_url": "<string>",
"ai_repo_branch": "<string>",
"ai_transforms": ["<string>"],
"ai_run_mode": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ai_enrichment_enabled: false,
ai_repo_sha: '<string>',
ai_repo_url: '<string>',
ai_repo_branch: '<string>',
ai_transforms: ['<string>'],
ai_run_mode: '<string>'
})
};
fetch('https://api.example.com/connectors/{connector_type}/ai-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}connectors
Set AI enrichment config
PUT
/
connectors
/
{connector_type}
/
ai-config
Set AI enrichment config
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Put Ai Config Connectors Connector Type Ai Config Put · object.